Efreet_Mime.h File Reference

The file that must be included by any project wishing to use. More...

## Functions

EAPI int | efreet_mime_init (void)
| Initializes the efreet mime settings.
EAPI int | efreet_mime_shutdown (void)
| Shuts down Efreet mime settings system if a balanced number of init/shutdown calls have been made.
EAPI const char * | efreet_mime_type_get (const char *file)
| Retrieve the mime type of a file.
EAPI const char * | efreet_mime_magic_type_get (const char *file)
| Retrieve the mime type of a file using magic.
EAPI const char * | efreet_mime_globs_type_get (const char *file)
| Retrieve the mime type of a file using globs.
EAPI const char * | efreet_mime_special_type_get (const char *file)
| Retrieve the special mime type of a file.
EAPI const char * | efreet_mime_fallback_type_get (const char *file)
| Retrieve the fallback mime type of a file.
EAPI const char * | efreet_mime_type_icon_get (const char *mime, const char *theme, unsigned int size)
| Retrieve the mime type icon for a file.
EAPI void | efreet_mime_type_cache_clear (void)
| Clear mime icons mapping cache.
EAPI void | efreet_mime_type_cache_flush (void)
| Flush mime icons mapping cache.

## Detailed Description

The file that must be included by any project wishing to use.